View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000479Ecere SDKidepublic2010-07-26 14:332013-08-07 03:33
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000479: ide: build: bad linker error
DescriptionLinking...
   ..\ecere\Linker Error: cannot find -ljpeg
   ..\ecere\collect2: ld returned 1 exit status

an obvious bad error message.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000530closedjerome In compiler output, relative paths for added projects sometimes go before the messages 

-  Notes
(0000727)
jerome (administrator)
2013-04-25 04:39

I was able to reproduce the latter part, but some reason I get a full ld.exe path name and the first line is not prefixed by the bad path:

Linking...
   Linker Error: c:/program files (x86)/ecere sdk/mingw/bin/../lib/gcc/mingw32/4.4.0/../../../../mingw32/bin/ld.exe: cannot find -ljpeg
   ..\..\..\sdk\ecere\collect2: ld returned 1 exit status
(0000730)
jerome (administrator)
2013-04-25 08:59

Fixed by https://github.com/ecere/sdk/commit/f5911f09790016dc9bfd33f471db499d96ed35f0 [^]

- Issue History
Date Modified Username Field Change
2010-07-26 14:33 redj New Issue
2010-07-26 14:37 redj Relationship added child of 0000429
2010-07-26 19:37 thexa4 Target Version => 0.44 draft 2
2010-07-29 15:06 jerome Priority normal => immediate
2012-03-08 15:41 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:40 redj Relationship deleted child of 0000429
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-04-24 03:36 jerome Target Version 0.45 Ginkakuji => 0.44.1 64
2013-04-24 07:45 jerome Relationship added related to 0000530
2013-04-25 04:34 jerome Status new => assigned
2013-04-25 04:34 jerome Assigned To => redj
2013-04-25 04:39 jerome Note Added: 0000727
2013-04-25 06:23 jerome Assigned To redj => jerome
2013-04-25 08:59 jerome Status assigned => resolved
2013-04-25 08:59 jerome Fixed in Version => 0.44.1 64
2013-04-25 08:59 jerome Resolution open => fixed
2013-04-25 08:59 jerome Note Added: 0000730
2013-05-22 20:29 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker